Industry Protocol Details (API)
Array of connections
Failed to list all connections
GET /api/connections HTTP/1.1
Accept: */*
[
{
"id": "text",
"currentState": "connecting",
"targetState": "connected",
"connection": {},
"agentName": "text"
}
]Sucessfully got a connection
Failed to get connection
GET /api/connections/{id} HTTP/1.1
Accept: */*
{
"id": "text",
"currentState": "connecting",
"targetState": "connected",
"connection": {},
"agentName": "text"
}Updated connection
Failed to update the connection
PUT /api/connections/{id}/operation HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 23
{
"operation": "connect"
}{
"id": "text",
"currentState": "connecting",
"targetState": "connected",
"connection": {},
"agentName": "text"
}Array of endpoints
Failed to list all endpoints
GET /api/endpoints HTTP/1.1
Accept: */*
[
{
"id": "text",
"currentState": "enabling",
"targetState": "enabled",
"connectionId": "text",
"operation": "text",
"address": {},
"agentName": "text"
}
]Sucessfully got an Endpoint
Failed to get endpoint
GET /api/endpoints/{id} HTTP/1.1
Accept: */*
{
"id": "text",
"currentState": "enabling",
"targetState": "enabled",
"connectionId": "text",
"operation": "text",
"address": {},
"agentName": "text"
}Updated endpoint
Failed to update the endpoint
PUT /api/endpoints/{id}/operation HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 22
{
"operation": "enable"
}{
"id": "text",
"currentState": "enabling",
"targetState": "enabled",
"connectionId": "text",
"operation": "text",
"address": {},
"agentName": "text"
}Array of mappings
Failed to list all mappings
GET /api/mappings HTTP/1.1
Accept: */*
[
{
"id": "text",
"currentState": "enabling",
"targetState": "enabled",
"mappings": [
{}
],
"agentName": "text"
}
]Sucessfully got an Mapping
Failed to get mapping
GET /api/mappings/{id} HTTP/1.1
Accept: */*
{
"id": "text",
"currentState": "enabling",
"targetState": "enabled",
"mappings": [
{}
],
"agentName": "text"
}Updated mapping
Failed to update the mapping
PUT /api/mappings/{id}/operation HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 22
{
"operation": "enable"
}{
"id": "text",
"currentState": "enabling",
"targetState": "enabled",
"mappings": [
{}
],
"agentName": "text"
}Sucessfully got the Mapping endpoint topics
Failed to get mapping endpoint topics
GET /api/mappings/{id}/endpoint-topics HTTP/1.1
Accept: */*
{
"ANY_ADDITIONAL_PROPERTY": [
"text"
]
}Array of servers
Failed to list all servers
GET /api/servers HTTP/1.1
Accept: */*
[
{
"id": "text",
"options": {},
"currentState": "enabling",
"targetState": "enabled",
"protocol": "Opcua",
"agentName": "text"
}
]Sucessfully got a Server
Server not found
Failed to get server
GET /api/servers/{id} HTTP/1.1
Accept: */*
{
"id": "text",
"options": {},
"currentState": "enabling",
"targetState": "enabled",
"protocol": "Opcua",
"agentName": "text"
}Updated server
Failed to update the server
PUT /api/servers/{id}/operation HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 22
{
"operation": "enable"
}{
"id": "text",
"options": {},
"currentState": "enabling",
"targetState": "enabled",
"protocol": "Opcua",
"agentName": "text"
}Array of nodes
Failed to list all nodes
GET /api/nodes HTTP/1.1
Accept: */*
[
{
"id": "text",
"currentState": "enabling",
"targetState": "enabled",
"nodes": [
{}
],
"agentName": "text"
}
]Topics organized by their associated resources
Failed to list all available topics
GET /api/topics HTTP/1.1
Accept: */*
{
"endpoints": [
{}
],
"mappings": [
{}
],
"nodes": [
{}
]
}The body being inputted for transformation
The transformation expression
Transformed output
Failed to transform input
POST /api/rule-engine/transform HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 38
{
"input": null,
"transformation": "text"
}{}Last updated
Was this helpful?

